Name:          dejagnu
Version:       1.5.3
Release:       1mamba
Summary:       A framework for testing other programs
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://www.gnu.org/software/dejagnu
Source:        ftp://ftp.gnu.org/gnu/dejagnu/dejagnu-%{version}.tar.gz
License:       GPL
BuildRequires: libtcl
Requires(post): %{__install_info}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
DejaGnu is a framework for testing other programs.
Its purpose is to provide a single front end for all tests.
Think of it as a custom library of Tcl procedures crafted to support writing a test harness.
A test harness is the testing infrastructure that is created to support a specific program or tool.
Each program can have multiple testsuites, all supported by a single test harness.
DejaGnu is written in Expect, which in turn uses Tcl -- Tool command language.

%prep
%setup -q

%build
%configure \
   --verbose

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%post
%install_info %{name}.info

%preun
%uninstall_info %{name}.info
exit 0

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/runtest
%{_includedir}/%{name}.h
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man1/*
%{_infodir}/dejagnu.info.gz
%doc AUTHORS COPYING
# ChangeLog NEWS README TODO
#%doc doc/overview doc/overview.pdf

%changelog
* Wed Apr 22 2015 Automatic Build System <autodist@mambasoft.it> 1.5.3-1mamba
- automatic version update by autodist

* Mon Feb 23 2015 Automatic Build System <autodist@mambasoft.it> 1.5.2-1mamba
- automatic update by autodist

* Sat Mar 16 2013 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- update to 1.5.1

* Sat Jun 16 2012 Automatic Build System <autodist@mambasoft.it> 1.5-1mamba
- automatic version update by autodist

* Sun Jun 17 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.4.4-1mamba
- package created by autospec
